CanvasParser.cxx File Reference
`#include <cmath>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <set>`
`#include <sstream>`
`#include <stack>`
`#include <utility>`
`#include <librevenge/librevenge.h>`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWStringStream.hxx"`
`#include "CanvasGraph.hxx"`
`#include "CanvasStyleManager.hxx"`
`#include "CanvasParser.hxx"`

## Classes

struct | CanvasParserInternal::Layer
| Internal: the layer of a CanvasParser. More...
struct | CanvasParserInternal::Decoder
| Internal and low level: the decoder of a canvas file. More...
struct | CanvasParserInternal::State
| Internal: the state of a CanvasParser. More...

## Namespaces

namespace | CanvasParserInternal
| Internal: the structures of a CanvasParser.

## Variables

static bool | CanvasParserInternal::s_showData =false